Bug 44861 - exim4: Multiple issues (4.2)
exim4: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Stefan Gohmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 15:42 CEST by Arvid Requate
Modified: 2018-02-14 13:31 CET (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score: 8.1 (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H)
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-06-26 15:42:22 CEST
Upstream Debian package version 4.84.2-2+deb8u4 fixes:

* Exim supports the use of multiple "-p" command line arguments which are malloc()'ed and never free()'ed, used in conjunction with other issues allows attackers to cause arbitrary code execution. This affects exim version 4.89 and earlier. Please note that at this time upstream has released a patch (commit 65e061b76867a9ea7aeeb535341b790b90ae6c21), but it is not known if a new point release is available that addresses this issue at this time. (CVE-2017-1000369)
Comment 1 Philipp Hahn univentionstaff 2018-01-25 10:59:37 CET
Mass-import from Debian-Security:
  python -m univention.repong.^Cbmirror -s jessie -r 4.2-3 --override=$HOME/REPOS/repo-ng/mirror/update_ucs42_mirror_from_debian.yml --errata=doc/errata --sql --process=ALL -vvvv --now=201801211553

YAML: git:bd6159834a..449aa5a7cf
Comment 2 Philipp Hahn univentionstaff 2018-02-12 14:31:26 CET
7f08a58 Bug #44861: exim4_4.84.2-2+deb8u5
+ * An issue was discovered in the SMTP listener in Exim 4.90 and earlier. By
+   sending a handcrafted message, a buffer overflow may happen in a specific
+   function. This can be used to execute code remotely. (CVE-2018-6789)

Package: exim4
Version: 4.84.2-2+deb8u5A~4.2.3.201802121402
Branch: ucs_4.2-0
Scope: errata4.2-3
Comment 3 Stefan Gohmann univentionstaff 2018-02-14 06:27:29 CET
YAML: OK

Build: OK (Patches have been applied)

Tests: OK - installation works
Comment 4 Arvid Requate univentionstaff 2018-02-14 13:31:37 CET
<http://errata.software-univention.de/ucs/4.2/293.html>